### File

`packages/components/eui-autocomplete/eui-autocomplete-option/eui-autocomplete-option.component.ts`

### Description

Component used internally by `eui-autocomplete` to display the options in the panel.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euiVariant
selector | `eui-autocomplete-option`
template |
    <ng-content/>

### Index

###### Properties
role
###### Inputs
isActive isDisabled isGroupItem
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

isActive
Type : `boolean`
Default value : `false`
Whether the option is active in the panel.

isDisabled
Type : `boolean`
Default value : `false`
Whether the option is disabled in the panel.

isGroupItem
Type : `boolean`
Default value : `false`
Whether the option is displayed inside a group.

### HostBindings

attr.role
Type : `string`
Default value : `'option'`
ARIA role for the host element to ensure proper accessibility.

class
Type : `string`

### Properties

role
Type : `string`
Default value : `'option'`
Decorators : `@HostBinding('attr.role')`
ARIA role for the host element to ensure proper accessibility.

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

# results matching ""

# No results matching ""